wl_seat_listener Struct Reference
The wl_seat interface

`#include <wayland-client-protocol.h>`

## Data Fields

void(* | capabilities )(void *data, struct wl_seat *wl_seat, uint32_t capabilities)
void(* | name )(void *data, struct wl_seat *wl_seat, const char *name)

## Detailed Description

Definition at line 3771 of file wayland-client-protocol.h.

## Field Documentation

## capabilities

void(* wl_seat_listener::capabilities) (void *data, struct wl_seat *wl_seat, uint32_t capabilities)

seat capabilities changed

This is emitted whenever a seat gains or loses the pointer, keyboard or touch capabilities. The argument is a capability enum containing the complete set of capabilities this seat has.

When the pointer capability is added, a client may create a wl_pointer object using the wl_seat.get_pointer request. This object will receive pointer events until the capability is removed in the future.

When the pointer capability is removed, a client should destroy the wl_pointer objects associated with the seat where the capability was removed, using the wl_pointer.release request. No further pointer events will be received on these objects.

In some compositors, if a seat regains the pointer capability and a client has a previously obtained wl_pointer object of version 4 or less, that object may start sending pointer events again. This behavior is considered a misinterpretation of the intended behavior and must not be relied upon by the client. wl_pointer objects of version 5 or later must not send events if created before the most recent event notifying the client of an added pointer capability.

The above behavior also applies to wl_keyboard and wl_touch with the keyboard and touch capabilities, respectively.

Parameters

  capabilities | capabilities of the seat

Definition at line 3802 of file wayland-client-protocol.h.

## name

void(* wl_seat_listener::name) (void *data, struct wl_seat *wl_seat, const char *name)

unique identifier for this seat

In a multiseat configuration this can be used by the client to help identify which physical devices the seat represents. Based on the seat configuration used by the compositor.

Parameters

  name | seat identifier

Since
  2

Definition at line 3814 of file wayland-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/wayland-client-protocol.h